/*
 * 设备类
 * @constructor Device
 * */
(function(win){
	//判断组件库是否第一次载入,如果是初始化组件库
	win.ASG = win.ASG || {};
	
	//Device类构造函数
	function Device(cfgs){
		var configs = cfgs || {};
		this.GPS_STATUS = true; //false没有打开gps,默认为true
		this.NETWORK_STATUS = true; //false没有在网络环境中,默认为true
		//初始化
		this.init();
	}
	
	//对象方法定义
	Device.prototype = {
		init : function(){
			this.getGPSStatus();
			this.getNETWORKStatus();
		},
		getGPSStatus : function(){//获取gps状态
			//ios gps检测
			if(mui.os.ios){
				var CLLocationManager = plus.ios.import("CLLocationManager");
				var authorizationStatus = CLLocationManager.authorizationStatus(); //2永不 4使用期间 >=3为可以使用定位服务
				var locationServicesEnabled = CLLocationManager.locationServicesEnabled(); //判断定位服务是否开启 0未开启 1开启
				
				if(authorizationStatus === 2 || locationServicesEnabled === 0){
					this.GPS_STATUS = false;
				}
			}
			
			//android gps检测
			if(mui.os.android){
		        var context = plus.android.importClass("android.content.Context");
		        var locationManager=plus.android.importClass("android.location.LocationManager");
		    	var main=plus.android.runtimeMainActivity();
		        var mainSvr=main.getSystemService(context.LOCATION_SERVICE);
		        var gps = mainSvr.isProviderEnabled(locationManager.GPS_PROVIDER);
		        this.GPS_STATUS = gps;
			}
		},
		getNETWORKStatus : function(){
			//判断网络状态
			var networkinfo = {};
			var getCurrentType = plus.networkinfo.getCurrentType();
			//networkinfo[plus.networkinfo.CONNECTION_UNKNOW] = "Unknown connection"; //0
			//networkinfo[plus.networkinfo.CONNECTION_NONE] = "None connection"; //1 ios如果在蜂窝数据中没有赋予权限 android无网络
			//networkinfo[plus.networkinfo.CONNECTION_ETHERNET] = "Ethernet connection"; //2 有线连接
			//networkinfo[plus.networkinfo.CONNECTION_WIFI] = "WiFi connection"; //3 wifi连接
			//networkinfo[plus.networkinfo.CONNECTION_CELL2G] = "Cellular 2G connection"; //4
			//networkinfo[plus.networkinfo.CONNECTION_CELL3G] = "Cellular 3G connection"; //5
			//networkinfo[plus.networkinfo.CONNECTION_CELL4G] = "Cellular 4G connection"; //6
			if(getCurrentType < plus.networkinfo.CONNECTION_ETHERNET){
				this.NETWORK_STATUS = false;
			}
		},
		lockOrientation : function(key){
			plus.screen.lockOrientation(key);
		},
		unlockOrientation : function(){
			plus.screen.unlockOrientation();
		}
	}
	
	//将Device类暴露在外部
	win.ASG.Device = Device;
})(window);