/*
 * 地图类
 * @constructor Map
 * */
(function(win){
	//判断组件库是否第一次载入,如果是初始化组件库
	win.ASG = win.ASG || {};
	
	//Map类构造函数
	function Map(cfgs){
		var mapName = "asg-Map";
		var configs = cfgs || {};
		this.mapName = configs.mapName || mapName;
		this.lng = 0;
		this.lat = 0;
		this.map = null;
		//初始化
		this.init();
	}
	
	//对象方法定义
	Map.prototype = {
		init : function(){
			//创建dom节点
			this.createMapDom();
		},
		createMapDom : function(){
			var domID,mapElement,bodyElement;
			domID = this.mapName;
			mapElement = document.getElementById(domID);
			bodyElement = document.body;
			if(mapElement === null){
				mapElement = document.createElement("div");
				mapElement.id = domID;
				mapElement.style.position = "absolute";
				mapElement.style.left = "-1px";
				mapElement.style.top = "-1px";
				mapElement.style.width = "1px";
				mapElement.style.height = "1px";
				bodyElement.appendChild(mapElement);
			}
			this.mapElement = mapElement;
		},
		getUserLocation : function(callback,errorCallback){//获取经纬度后执行回调方法
			var mapID,that = this,coords;
			mapID = this.mapName;
			
//			plus.geolocation.getCurrentPosition( function ( p ) {
//				coords = p.coords.longitude + "," + p.coords.latitude;
//				coords = coords + ";" + coords;
//	            mui.ajax("http://api.map.baidu.com/geoconv/v1/?", { 
//	                data: { 
//						coords: coords,
//						ak : "9ahE4wpANvugcBj0eGrHTqGGwWbBMvTq",
//						output : 'json',
//						form : 1,
//						to : 5
//	                }, 
//	                dataType: 'json', 
//	                type: 'post', 
//	                timeout: 15000, 
//	                success: function(data) {
//	                	if(data.status === 0){//成功
//							that.lng = data.result[0]["x"];
//							that.lat = data.result[0]["y"];
//							callback();
//	                	}else{//失败
//	                		errorCallback();
//	                	}
//	                	console.log('百度地图:' + JSON.stringify(data));
//	                }, 
//	                error: function(xhr, type, errorThrown) {
//	                	errorCallback();
//	                    //console.log('网络异常，请稍后再试！');
//	                } 
//	            });
//			}, function (e) {
//				errorCallback();
//			},{provider:'system'});
			
			
	    	this.map = new plus.maps.Map(mapID);
			this.map.getUserLocation( function ( state, point ){
				if( 0 == state ){
					that.lng = point.longitude;
					that.lat = point.latitude;
					callback();
				}else{
					errorCallback();
				}
			} );
			
		}
	}
	
	//将Map类暴露在外部
	win.ASG.Map = Map;
})(window);