/*
 * 权限类
 * @constructor Role
 * */
(function(win){
	//判断组件库是否第一次载入,如果是初始化组件库
	win.ASG = win.ASG || {};
	
	//Role类构造函数
	function Role(cfgs){
		var configs = cfgs || {},roles;
		this.roleList = configs.roleList || [];
		this.defaultRoles = function(){
			return roles;
		}
		//权限列表,默认一个权限都没有
		roles = {
			"look_wage" : {
				hasRole : false,
				msg : "查工资权限"
			},
			"message"	: {
				hasRole : false,
				msg : "消息权限"
			},
			"hot_sport" : {
				hasRole : false,
				msg : "热门活动权限"
			},
			"recommended_post" : {
				hasRole : false,
				msg : "推荐岗位权限"
			},
			"go_working": {
				hasRole : false,
				msg : "去工作权限"
			},
			"training"	: {
				hasRole : false,
				msg : "培训权限"
			},
			"wallet"	: {
				hasRole : false,
				msg : "钱包权限"
			},
			"accept_task": {
				hasRole : false,
				msg : "接任务权限"
			},
			"group-buying" : {
				hasRole : false,
				msg : "团购权限"
			},
			"recruiting": {
				hasRole : false,
				msg : "招聘权限"
			},
			"unilever" : {
				hasRole : false,
				msg : "联合利华"
			},
			"kimberly" : {
				hasRole : false,
				msg : "金佰利"
			},
			"steering" : {
				hasRole : false,
				msg : "督导"
			}
		}
		//初始化
		this.init();
	}
	
	//对象方法定义
	Role.prototype = {
		init : function(){
			var roleList = this.roleList;
			var roles = this.defaultRoles();
			var len = roleList.length;
			for(var i = 0; i<len ; i++){
				if(roles[roleList[i]['thekey']] === undefined){
					roles[roleList[i]['thekey']] = {};
					roles[roleList[i]['thekey']]['hasRole'] = true;
					roles[roleList[i]['thekey']]['msg'] = roleList[i]['modleName'] + "权限";
				}else{
					roles[roleList[i]['thekey']]['hasRole'] = true;
					roles[roleList[i]['thekey']]['msg'] = roleList[i]['modleName'] + "权限";
				}
			}
		},
		hasRole : function(name){//根据权限名称查询有没有权限
			var roles = this.defaultRoles();
			return roles[name]['hasRole'];
		},
		roleMsg : function(name){//返回权限名称
			var roles = this.defaultRoles();
			return roles[name]['msg']; 
		}
	}
	
	//将Role类暴露在外部
	win.ASG.Role = Role;
})(window);