/*
 * storage类
 * @constructor Storage
 * */
(function(win){
	//判断组件库是否第一次载入,如果是初始化组件库
	win.ASG = win.ASG || {};
	
	//Storage类构造函数
	function Storage(cfgs){
		var prefix = "asg-";
		var configs = cfgs || {};
		this.getPrefix = function(){
			return prefix;
		}
	}
	
	//对象方法定义
	Storage.prototype = {
		init : function(){
			
		},
		setItem : function(key,value){//设置storage
			var prefix = this.getPrefix();
			key = prefix + key;
			plus.storage.setItem(key, value);
		},
		getItem : function(key){//获取storage
			var prefix = this.getPrefix();
			key = prefix + key;
			return plus.storage.getItem(key);
		},
		removeItem : function(key){
			var prefix = this.getPrefix();
			key = prefix + key;
			plus.storage.removeItem(key);
		},
		clear : function(){
			plus.storage.clear();
		},
		key : function(index){
			var prefix = this.getPrefix();
			index = prefix + index;
			return plus.storage.key(index);
		},
		getLength : function(){
			return plus.storage.getLength();
		}
	}
	
	//将Storage类暴露在外部
	win.ASG.Storage = Storage;
})(window);